@echo off

:loop
wildrig.exe --algo curvehash --url stratum+tcp://miningpools.pro:5241 --user PGLaCyoPxTj1VWhyP1XWRKf6EVRkb1Kbnw --pass c=PLSR

if ERRORLEVEL 1 goto custom
timeout /t 5
goto loop

:custom
echo Custom command here
timeout /t 5
goto loop